EZ_RegisterResourcesAll(3)

NAME
EZ_RegisterResourcesAll - register a list of widget resources

SYNOPSIS
#include <EZ.h>

void EZ_RegisterResourcesAll( int type, int nresources, EZ_ResourceSpec resources,
     int (configure)(void*theWidget,intoption,EZ_Value*values))

typedef struct {
  int     option;    /* reference index, must > 1024 */
  char    *iname;    /* resource name  */
  char    *cname;    /* resource class */
  char    *vtypes;   /* value types, e.g "int,float,string" */
} EZ_ResourceSpec;
typedef struct {
  int  type;
  union {
    char    c;    unsigned char  uc;
    short   s;    unsigned short us;
    int     i;    unsigned int   ui;
    float   f;
    void    *p;
    void    *function;
    char    *str;
    unsigned long l;
  } value;
} EZ_Value;

ARGUMENTS

type Specifies a widget type. resources Specifies a list of resources.

nresources Specifies the number of resources.

configure Specifies a procedure that sets the widget attributes from resources.

DESCRIPTION
EZ_RegisterResourcesAll register a list of resources for all widget of the given type. Once registered, future invokation of EZ_CreateWidget will consult the specified resource handle to parse and set widget attributes from the resource database.

To register a list of resources for a single widget, use the configuration option

SEE ALSO
EZ_RegisterApplicationResources(3)